/****************************************************************)
(*								*)
(*								*)
(*	N       N        AAA       N       N      OOOOO		*)
(*	NN      N       A   A      NN      N     O     O	*)
(*	N N     N      A     A     N N     N    O       O	*)
(*	N  N    N     A       A    N  N    N    O       O	*)
(*	N   N   N     A       A    N   N   N    O       O	*)
(*	N    N  N     AAAAAAAAA    N    N  N    O       O	*)
(*	N     N N     A       A    N     N N    O       O	*)
(*	N      NN     A       A    N      NN     O     O	*)
(*	N       N     A       A    N       N      OOOOO		*)
(*								*)
(*								*)
(****************************************************************)
(*	Compiler fuer ein *sehr* eingeschraenktes Pascal.	*)
(*	Erzeugt Maschinencode fuer 8031 & co Prozessoren.	*)
(****************************************************************/

/*===================================================================*\
|*	$Id: config.h,v 1.1 2018/12/21 00:15:19 wolf Exp $
|*===================================================================*|
|*
|*	$Log: config.h,v $
|*	Revision 1.1  2018/12/21 00:15:19  wolf
|*	Initial revision
|*
|*	Revision 1.1  2018/12/20 22:27:37  wolf
|*	Initial revision
|*
|*	Revision 1.1  2018/12/20 16:03:56  wolf
|*	Initial revision
|*
|*	Revision 1.9  2011/08/09 17:26:58  wolf
|*	* Cleanup
|*
|*	Revision 1.8  2010/12/24 16:26:09  wolf
|*	*** empty log message ***
|*
|*	Revision 1.7  2008/12/07 09:43:42  wolf
|*	*** empty log message ***
|*
|*===================================================================*|
|*	1988-1996 als Turbopascal-Programm für 8080 und 8086
\*===================================================================*/


#ifndef	__CONFIG_H__
#define	__CONFIG_H__

/*------------------------------------------------------*\
|*	Datentypen fester Größe				*|
\*------------------------------------------------------*/

typedef	unsigned char	uint8;
typedef	unsigned short	uint16;
typedef	unsigned int	uint32;
typedef	signed char	BOOL;
#define	FALSE	(0)
#define	TRUE	(1)

/*------------------------------------------------------*\
|*	Limitierungen					*|
\*------------------------------------------------------*/

#define	MaxIncludeLevel		(4)
#define	MaxInputLineLength	(4096)
#define	MaxNameLength		(80)
#define	MaxSymbols		(1000)
#define	MaxNodes		(100)
#define	MaxFixup		(100)

#endif


/*===================================================================*\
|*	$Id: config.h,v 1.1 2018/12/21 00:15:19 wolf Exp $
\*===================================================================*/
