/****************************************************************)
(*								*)
(*								*)
(*	N       N        AAA       N       N      OOOOO		*)
(*	NN      N       A   A      NN      N     O     O	*)
(*	N N     N      A     A     N N     N    O       O	*)
(*	N  N    N     A       A    N  N    N    O       O	*)
(*	N   N   N     A       A    N   N   N    O       O	*)
(*	N    N  N     AAAAAAAAA    N    N  N    O       O	*)
(*	N     N N     A       A    N     N N    O       O	*)
(*	N      NN     A       A    N      NN     O     O	*)
(*	N       N     A       A    N       N      OOOOO		*)
(*								*)
(*								*)
(****************************************************************)
(*	Compiler fuer ein *sehr* eingeschraenktes Pascal.	*)
(*	Erzeugt Maschinencode fuer 8031 & co Prozessoren.	*)
(****************************************************************/

/*===================================================================*\
|*	$Id: messages.h,v 1.1 2018/12/21 00:15:19 wolf Exp $
|*===================================================================*|
|*
|*	$Log: messages.h,v $
|*	Revision 1.1  2018/12/21 00:15:19  wolf
|*	Initial revision
|*
|*	Revision 1.1  2018/12/20 22:27:37  wolf
|*	Initial revision
|*
|*	Revision 1.1  2018/12/20 16:03:56  wolf
|*	Initial revision
|*
|*	Revision 1.14  2011/08/09 17:26:58  wolf
|*	* Cleanup
|*
|*	Revision 1.13  2008/12/07 09:43:42  wolf
|*	*** empty log message ***
|*
|*===================================================================*|
|*	1988-1996 als Turbopascal-Programm für 8080 und 8086
\*===================================================================*/

#ifndef	__MESSAGES_H__
#define	__MESSAGES_H__


#define	MSG_CONSTANT_EXPECTED  	"Konstanter Ausdruck erwartet."
#define	MSG_CONST_FALSE		"Ausdruck wird immer zu \"falsch\" ausgewertet."
#define	MSG_CONST_TRUE		"Ausdruck wird immer zu \"wahr\" ausgewertet."
#define	MSG_DOUBLE_DEFINED	"Symbol \"*\" wurde mehrfach definiert."
#define	MSG_EOF			"Unerwartetes Ende der Datei"
#define	MSG_EXPECTED		"Ein \"*\" wurde erwartet, aber nicht gefunden."
#define	MSG_FOPEN		"Fehler beim Oeffnen von \"*\": $"
#define	MSG_FREAD		"Fehler beim Lesen von \"*\": $"
#define	MSG_INCLUDE_NESTING	"Maximale Schachteltiefe fuer Include ueberschritten"
#define	MSG_INTERNAL		"Interner Fehler: \"*\""
#define	MSG_NODETABLE_FULL	"Die Ausdruckstabelle ist voll."
#define	MSG_OUT_OF_EXTERNAL	"Externer Speicher ist aufgebraucht."
#define	MSG_OUT_OF_INTERNAL	"Interner Speicher ist aufgebraucht."
#define	MSG_OVERFLOW		"Überlauf beim Berechnen eines konstanten Ausdrucks"
#define	MSG_STRAY_CHAR		"Verstreutes Vorkommen von \"*\""
#define	MSG_STRING_UNTERMINATED	"Zeichenkette nicht beendet"
#define	MSG_SYMBOLTABLE_FULL	"Die Symboltabelle ist voll."
#define	MSG_SYNTAX_EXPRESSION	"Syntax-Fehler in Ausdruck"
#define	MSG_SYNTAX_STATEMENT	"Syntax-Fehler in Anweisung"
#define	MSG_TOKEN_TRUNCATED	"Ueberlanges Symbol wurde beschnitten"
#define	MSG_TYPE_EXPECTED	"Typangabe erwartet."
#define	MSG_UNDEFINED		"Symbol \"*\" ist nicht definiert."
#define	MSG_UNEXPECTED_TYPE	"Unerwarteter Typ"
#define	MSG_UNKNOWN_PREPROC	"Unbekanntes Praeprozessorkommando \"*\""
#define	MSG_VARIABLE_EXPECTED	"Variable erwartet."
#define	MSG_WRONG_CLASS		"Symbol gehoert einer falschen Klasse an."
#define	MSG_STORAGE_CLASS	"Symbol gehoert einer falschen Speicherklasse an."
#define	MSG_CASELABEL_RANGE	"Wertebereich in CASE-Liste zu gross."
#define	MSG_DOUBLE_INTERRUPT	"Interrupt Nummer mehrfach verwendet"
#define	MSG_INVALID		"Ungueltiger Wert fuer \"*\"."
#define	MSG_OUT_OF		"Die Resource \"*\" ist aufgebraucht."
#define	MSG_NYI			"Noch nicht vollstaendig implementiert."

#endif


/*===================================================================*\
|*	$Id: messages.h,v 1.1 2018/12/21 00:15:19 wolf Exp $
\*===================================================================*/
