/****************************************************************)
(*								*)
(*								*)
(*	N       N        AAA       N       N      OOOOO		*)
(*	NN      N       A   A      NN      N     O     O	*)
(*	N N     N      A     A     N N     N    O       O	*)
(*	N  N    N     A       A    N  N    N    O       O	*)
(*	N   N   N     A       A    N   N   N    O       O	*)
(*	N    N  N     AAAAAAAAA    N    N  N    O       O	*)
(*	N     N N     A       A    N     N N    O       O	*)
(*	N      NN     A       A    N      NN     O     O	*)
(*	N       N     A       A    N       N      OOOOO		*)
(*								*)
(*								*)
(****************************************************************)
(*	Compiler fuer ein *sehr* eingeschraenktes Pascal.	*)
(*	Erzeugt Maschinencode fuer 8031 & co Prozessoren.	*)
(****************************************************************/

/*===================================================================*\
|*	$Id: messages.c,v 1.1 2018/12/21 00:15:19 wolf Exp $
|*===================================================================*|
|*
|*	$Log: messages.c,v $
|*	Revision 1.1  2018/12/21 00:15:19  wolf
|*	Initial revision
|*
|*	Revision 1.1  2018/12/20 22:27:22  wolf
|*	Initial revision
|*
|*	Revision 1.1  2018/12/20 16:03:56  wolf
|*	Initial revision
|*
|*	Revision 1.3  2011/08/09 17:26:17  wolf
|*	* Cleanup
|*
|*	Revision 1.2  2010/12/24 16:26:09  wolf
|*	*** empty log message ***
|*
|*	Revision 1.1  2008/12/12 20:22:21  wolf
|*	Initial revision
|*
|*===================================================================*|
|*	1988-1996 als Turbopascal-Programm für 8080 und 8086
\*===================================================================*/

#include "nano.h"

const char MsgConstCondition[]		= "Bedingung wird immer zu \"%s\" ausgewertet.";
const char MsgConstOverflow[]		= "Überlauf beim Berechnen eines konstanten Ausdrucks";
const char MsgErrorAborted[]		= "*** Bearbeitung abgebrochen";
const char MsgErrorDeleted[]		= "*** Deshalb wurde die Datei \"%s\" geloescht.";
const char MsgError[]			= "*** Es wurde(n) %u Fehler gefunden.";
const char MsgExpectedConstant[]	= "Konstanter Ausdruck erwartet";
const char MsgExpectedExpression[]	= "Variable, Konstante oder '(' erwartet";
const char MsgExpectedStatement[]	= "Befehl erwartet";
const char MsgExpectedToken[]		= "Ein \"%s\" wurde erwartet, aber nicht gefunden.";
const char MsgExpectedType[]		= "Ausdruck vom Typ %s erwartet";
const char MsgExpectedTypename[]	= "Typangabe (BYTE, WORD, STRING) erwartet";
const char MsgExpectedValue[]		= "Variable oder Konstante erwartet";
const char MsgExpectedVariable[]	= "Variable erwartet";
const char MsgFopen[]			= "Fehler beim Oeffnen von \"%s\": %s";
const char MsgFread[]			= "Fehler beim Lesen von \"%s\": %s";
const char MsgInternal[]		= "Interner Fehler \"%s\"";
const char MsgInvalid[]			= "Ungueltiger Wert fuer \"%s\"";
const char MsgLimit[]			= "Die interne Grenze \"%s\" wurde erreicht.";
const char MsgNameDefined[]		= "Name \"%s\" wurde mehrfach definiert.";
const char MsgNameUndefined[]		= "Name \"%s\" ist nicht definiert.";
const char MsgPrepEOF[]			= "Unerwartetes Ende der Datei";
const char MsgPrepUnknown[]		= "Unbekanntes Praeprozessorkommando \"%s\"";
const char MsgResource[]		= "Die Resource \"%s\" ist aufgebraucht.";
const char MsgRestrictedMode[]		= "Restricted Mode: %s";
const char MsgRestriction[]		= "Compilerrestriktion '%s'";
const char MsgScanString[]		= "Zeichenkette nicht beendet";
const char MsgScanUnknown[]		= "Verirrtes Zeichen \"%s\" im Programm";


/*===================================================================*\
|*	$Id: messages.c,v 1.1 2018/12/21 00:15:19 wolf Exp $
\*===================================================================*/
