/****************************************************************)
(*								*)
(*								*)
(*	N       N        AAA       N       N      OOOOO		*)
(*	NN      N       A   A      NN      N     O     O	*)
(*	N N     N      A     A     N N     N    O       O	*)
(*	N  N    N     A       A    N  N    N    O       O	*)
(*	N   N   N     A       A    N   N   N    O       O	*)
(*	N    N  N     AAAAAAAAA    N    N  N    O       O	*)
(*	N     N N     A       A    N     N N    O       O	*)
(*	N      NN     A       A    N      NN     O     O	*)
(*	N       N     A       A    N       N      OOOOO		*)
(*								*)
(*								*)
(****************************************************************)
(*	Compiler fuer ein *sehr* eingeschraenktes Pascal.	*)
(*	Erzeugt Maschinencode fuer 8031 & co Prozessoren.	*)
(****************************************************************/

/*===================================================================*\
|*	$Id: statements.h,v 1.1 2018/12/21 00:15:19 wolf Exp $
|*===================================================================*|
|*
|*	$Log: statements.h,v $
|*	Revision 1.1  2018/12/21 00:15:19  wolf
|*	Initial revision
|*
|*	Revision 1.1  2018/12/20 22:27:54  wolf
|*	Initial revision
|*
|*	Revision 1.1  2018/12/20 16:03:56  wolf
|*	Initial revision
|*
|*	Revision 1.8  2011/08/09 17:26:58  wolf
|*	* Cleanup
|*
|*	Revision 1.7  2008/12/12 20:22:21  wolf
|*	*** empty log message ***
|*
|*	Revision 1.6  2008/12/07 09:43:42  wolf
|*	*** empty log message ***
|*
|*===================================================================*|
|*	1988-1996 als Turbopascal-Programm für 8080 und 8086
\*===================================================================*/

#ifndef	__STATEMENTS_H__
#define	__STATEMENTS_H__


typedef enum {
	program, procedure, interrupt, fastinterrupt
} Scope;


extern	Scope	ThisScope;


void
DoEnter (int options);

void
DoLeave (void);

void
DoLeaveImmediately (void);

struct label;

void
DoStatementSequence (BOOL returnok, struct label*exit, struct label*cont);

#endif


/*===================================================================*\
|*	$Id: statements.h,v 1.1 2018/12/21 00:15:19 wolf Exp $
\*===================================================================*/
